PollingHttpMessageReceiver (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.http.PollingHttpMessageReceiver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.http
Class PollingHttpMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.AbstractPollingMessageReceiver
                  org.mule.transport.http.PollingHttpMessageReceiver

All Implemented Interfaces:
  ExceptionListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class PollingHttpMessageReceiver

extends AbstractPollingMessageReceiver

Will poll an http URL and use the response as the input for a service request.

Field Summary
`protected String` | `etag`

Fields inherited from class org.mule.transport.AbstractPollingMessageReceiver
`DEFAULT_POLL_FREQUENCY, DEFAULT_POLL_TIMEUNIT, DEFAULT_STARTUP_DELAY, schedules`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`PollingHttpMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`protected void` | `doConnect()`
`void` | `doDisconnect()`
`protected void` | `doDispose()`
`void` | `poll()`

Methods inherited from class org.mule.transport.AbstractPollingMessageReceiver
`createWork, doStart, doStop, getFrequency, getTimeUnit, schedule, setFrequency, setTimeUnit, unschedule`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Field Detail

### etag

    protected String etag

Constructor Detail

### PollingHttpMessageReceiver

    public PollingHttpMessageReceiver(Connector connector,
                                      Service service,
                                      InboundEndpoint endpoint)
                               throws CreateException

Throws:
  `CreateException`

Method Detail

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    public void doDisconnect()
                      throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### poll

    public void poll()
              throws Exception

  Specified by:
    `poll` in class `AbstractPollingMessageReceiver`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.